aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-24 21:11:01 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-24 21:11:01 +0000
commit3aeb1aa40ec81c400edd71c73e595d61545d334c (patch)
tree44718c2ddebcf4465c197069f0023423bd5a4284
parentb211d4bec66b0d7fc655c0de9f5fe1a30ff42f06 (diff)
downloadaports-3aeb1aa40ec81c400edd71c73e595d61545d334c.tar.gz
aports-3aeb1aa40ec81c400edd71c73e595d61545d334c.tar.bz2
aports-3aeb1aa40ec81c400edd71c73e595d61545d334c.tar.xz
x11/bdftopcf: new aport
-rw-r--r--x11/bdftopcf/APKBUILD22
1 files changed, 22 insertions, 0 deletions
diff --git a/x11/bdftopcf/APKBUILD b/x11/bdftopcf/APKBUILD
new file mode 100644
index 0000000000..b74b39a597
--- /dev/null
+++ b/x11/bdftopcf/APKBUILD
@@ -0,0 +1,22 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=bdftopcf
+pkgver=1.0.1
+pkgrel=0
+pkgdesc="X.Org font utility"
+url="http://xorg.freedesktop.org/"
+license="custom"
+depends="libxfont uclibc"
+makedepends="libxfont-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://xorg.freedesktop.org//releases/individual/app/bdftopcf-1.0.1.tar.bz2"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --mandir=/usr/share/man \
+ --with-mapdir=/usr/share/fonts/util || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="9685fab33d39954ab8a0d22e0969d5a4 bdftopcf-1.0.1.tar.bz2"